Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am trying to install Ubuntu Touch on my Galaxy Nexus, but it says adbd cannot run as root in production builds. I tried a lot of stuff, including a few instructions from Ask Ubuntu, nothing helps. Can anybody please advise on what can be my problem?

share|improve this question
2  
You said you tried "a few instructions" from here. Can you edit your question to include detailed information on exactly what you tried? (Please describe whatever techniques you attempted and link to the posts where you found them.) –  Eliah Kagan Mar 6 '13 at 22:55

4 Answers 4

You have to unlock your bootloader. Please follow these steps:

Step 2 - Device unlock

  1. With the device powered off, power on the device by holding the Power button + volume up + volume down.
  2. The device will boot into the bootloader.
  3. Plug the device into the computer via the USB cable.
  4. On your computer, press Ctrl+Alt+T to start a terminal. Type sudo fastboot oem unlock, followed by Enter
  5. On the device screen, accept the terms of unlocking.
  6. Boot the device by pressing the power button (pointed by an arrow with Start on the screen).

Source

Please let us know if this worked.

share|improve this answer
    
This didn't do the trick for me. Instead I got a factory reset. Lovely! –  sjums Nov 9 at 14:44

That error occurs on phone's that have a production build. You need to get an other android distribution. I would recommend cyanogenmod.

But the people on XDA can help your better. Here's a link:

Samsung Galaxy Nexus - on XDA

share|improve this answer

If you are following the instructions at https://wiki.ubuntu.com/Touch/Install, the probable reason for the error is that you're trying to run 'phablet-flash' command without having done the bootstrap 'phablet-flash -b' first.

share|improve this answer

This might help you: adb remount permission denied, but able to access super user in shell — android

In my case I had to flash my nexus4 with cyanogenmod10 in order to be able to install Ubuntu Touch Raring on my device.

Good luck!

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.